Name:           maven-plugin-plugin
Version:        3.2
Release:        2
Summary:        Maven Plugin Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-plugin-plugin
#svn checkout http://svn.apache.org/repos/asf/maven/plugin-tools/tags/maven-plugin-tools-3.2/maven-plugin-plugin maven-plugin-plugin
#tar caf maven-plugin-plugin-3.2.tar.xz maven-plugin-plugin-3.2/
Source0:        %{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: java-rpmbuild >= 0:1.6
BuildRequires: maven2
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
#BuildRequires: maven-doxia-sitetools
BuildRequires: maven-plugin-testing-harness
#BuildRequires:	maven-modello-plugin

Requires:      maven2
Requires:      jpackage-utils
Requires:      java
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
The Maven Plugin Plugin is used to create a Maven plugin descriptor for any
Mojo's found in the source tree, to include in the JAR. It is also used to
generate report files for the Mojos as well as for updating the plugin
registry, the artifact metadata and generating a generic help goal.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

%build
mvn install javadoc:javadoc

%install

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

%add_to_maven_depmap org.apache.maven.plugins maven-plugin-plugin %{version} JPP maven-plugin-plugin

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}

%pre javadoc
# workaround for rpm bug, can be removed in F-17
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.2-2
+ Revision: 293882b
- MassBuild#440: Increase release tag


